List all Payins
Retrieve a list of payins.
- Production
- Sandbox
GET/v1/payins
curl -X GET 'https://api.minteo.finance/v1/payins' \-H 'Authorization: Bearer <your-api-key>'GET/v1/payins
curl -X GET 'https://api.sandbox.minteo.finance/v1/payins' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": [ { "id": "ffb50d6c-09f1-4f08-9b91-cbce466bed52", "status": "PENDING", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "amount": "127000", "token": "COPM", "purpose": "Top-up on behalf of John Doe" } ], "code": "OK"}Endpoint
GET
/v1/payinsScope
payins:all
Request
Query Parameters
All the following parameters are optional:
pageintegerThe number of the page to return.
pageSizeintegerThe number of the size of the page.
statusPENDINGABORTED
IN_PROGRESS
FULFILLED
The status of the payins to retrieve
GET
/v1/payins?page=1&pageSize=30&status=PENDINGResponse
outputArray<Payin>The list of payins.
codestringThe response status code text.